Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.servlets.controls.window
Class WebflowPresentationContext

    java.lang.Object
      |
      +--com.bea.netuix.servlets.controls.ControlContext
            |
            +--com.bea.netuix.servlets.controls.PresentationContext
                  |
                  +--com.bea.netuix.servlets.controls.window.WindowPresentationContext
                        |
                        +--com.bea.netuix.servlets.controls.portlet.PortletPresentationContext
                              |
                              +--com.bea.netuix.servlets.controls.window.WebflowPresentationContext

All Implemented Interfaces:
  Serializable

public class WebflowPresentationContext
extends PortletPresentationContext

Maintains webflow presentation context.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.bea.netuix.servlets.controls.ControlContext
`debug`

Constructor Summary
`protected` | `WebflowPresentationContext(WebflowPortlet webflowPortlet)` Constructs a `WebflowPresentationContext` with the given webflow portlet control.

Method Summary
`String` | `getAltFooterUri()` Returns the alternative footer.
`String` | `getAltHeaderUri()` Returns the alternative header.
`String` | `getContentUri()` Returns the content URI.
`protected String` | `getContextKey()` Returns the context key.
`String` | `getCurrentContentUri()` Returns the current content URI.
`Exception` | `getException()` Returns webflow exception.
`String` | `getFooterUri()` Returns footer URI.
`String` | `getHeaderUri()` Returns the header URI.
`String` | `getLabel()` Implementation of the abstract WindowPresentationContext.getLable() method.
`String` | `getWebflowName()` Returns the name of the webflow.
`static WebflowPresentationContext` | `getWebflowPresentationContext(HttpServletRequest request)` Returns `WebflowPresentationContext` for this request.

Methods inherited from class com.bea.netuix.servlets.controls.portlet.PortletPresentationContext
`getInstanceLabel, getPortletPresentationContext, getPortletUri, getPreferences, isDefaultMinimized`

Methods inherited from class com.bea.netuix.servlets.controls.window.WindowPresentationContext
`getContentPresentationClass, getContentPresentationContextChildren, getContentPresentationStyle, getDefinitionId, getDefinitionLabel, getInstanceId, getOrientation, getParentPagePresentationContext, getTitle, getWindowMode, getWindowPresentationContext, getWindowState, isCapable, isPacked`

Methods inherited from class com.bea.netuix.servlets.controls.PresentationContext
`getChildren, getChildren, getControlState, getFirstChild, getParsedProperties, getPresentationClass, getPresentationId, getPresentationStyle, getProperties, getProperty, getProperty, getPropertyAsBoolean, getPropertyAsInt, getResolvedLocale, getTagName, isVisible, render, setVisible`

Methods inherited from class com.bea.netuix.servlets.controls.ControlContext
`getContextFromRequest, getControl, getRequestKey, getUniqueId, removeContextFromRequest, setContextInRequest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebflowPresentationContext

    protected WebflowPresentationContext(WebflowPortlet webflowPortlet)

  Constructs a `WebflowPresentationContext` with the given webflow portlet control.

Parameters:
  `webflowPortlet` - portlet

Method Detail

### getLabel

    public String getLabel()

  Implementation of the abstract WindowPresentationContext.getLable() method. Since this is a portlet and we have instance labels this will return an instance label instead of a definition label.

  Overrides:
    `getLabel` in class `PortletPresentationContext`
  Returns:
    instance label of the portlet.

### getContentUri

    public String getContentUri()

  Returns the content URI.

  Returns:
    content URI

### getCurrentContentUri

    public String getCurrentContentUri()

  Returns the current content URI.

  Returns:
    content URI

### getHeaderUri

    public String getHeaderUri()

  Returns the header URI.

  Returns:
    header URI

### getFooterUri

    public String getFooterUri()

  Returns footer URI.

  Returns:
    footer URI

### getException

    public Exception getException()

  Returns webflow exception.

  Returns:
    exception

### getWebflowName

    public String getWebflowName()

  Returns the name of the webflow.

  Returns:
    name of the webflow

### getAltHeaderUri

    public String getAltHeaderUri()

  Returns the alternative header.

  Returns:
    alternative header

### getAltFooterUri

    public String getAltFooterUri()

  Returns the alternative footer.

  Returns:
    alternative footer

### getWebflowPresentationContext

    public static WebflowPresentationContext getWebflowPresentationContext(HttpServletRequest request)

  Returns `WebflowPresentationContext` for this request.

  Parameters:
    `request` - request
  Returns:
    context

### getContextKey

    protected String getContextKey()

  Returns the context key.

  Overrides:
    `getContextKey` in class `PortletPresentationContext`
  Returns:
    context key

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved